/* Utilisation de Flexbox pour la structure principale */
.main-container {
  display: flex;
  justify-content: space-between;
  padding: 20px;
}

/* Section de gauche (animation) */
.animation-section {
  width: 60%; /* Pour occuper la majorité de l'écran */
  padding-right: 20px;
}

/* Section de droite (contrôles et propriétés) */
.right-section {
  width: 35%; /* La section de droite sera un peu plus petite */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

/* Partie supérieure de la section de droite : Actor, State et boutons Play/Stop */
.top-right {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 20px;
}

/* Conteneur pour les sélecteurs Actor et State côte à côte */
.selector-container {
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
}

/* Partie inférieure de la section de droite : FrameList et Properties */
/* Conteneur global de la partie inférieure droite */
.bottom-right {
  display: flex;
  gap: 20px;
  align-items: flex-start; /* Assure un alignement cohérent en haut */
  min-height: 300px; /* Définit une hauteur minimale pour éviter les décalages */
}

/* Liste des frames */
.frame-list h3 {
  margin-bottom: 10px;
  font-size: 16px;
  font-weight: bold;
}
.frame-list ul {
  list-style-type: none;
  padding: 0;
}

.frame-list li {
  padding: 10px;
  cursor: pointer;
}

.frame-list li:hover {
  background-color: #f0f0f0;
}

.frame-list li.active {
  background-color: #f0f8ff;
  font-weight: bold;
}

/* Propriétés du frame */
.properties {
  flex: 1;
  min-height: 200px; /* Assure la cohérence de la hauteur */
}

.properties div {
  margin-bottom: 10px;
}

/* Style de la section de l'animation */
.frame-display {
  position: relative;
  width: 100%;
  height: 400px;
  background-color: black;
  margin: auto;
  overflow: hidden;
}

.cross-hair .axis {
  position: absolute;
  background-color: red;
}

.cross-hair .horizontal {
  width: 100%;
  height: 1px;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.cross-hair .vertical {
  width: 1px;
  height: 100%;
  left: 50%;
  top: 0;
  transform: translateX(-50%);
}

.frame {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.frame img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2px solid blue;
}
